Bug 445648 - Can't revert from broken resolution
Can't revert from broken resolution
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-08 05:52 EDT by Bastien Nocera
Modified: 2014-06-18 05:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:36:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2008-05-08 05:52:02 EDT
control-center-2.22.1-4.fc9.x86_64
gnome-settings-daemon-2.22.1-0.2008.03.26.7.fc9.x86_64

Because of bug 445647, I turned my machine into a brick, not being able to
switch back to the previous resolution when using gnome-display-properties to
switch to a higher resolution.

Whilst X shouldn't offer the unavailable resolution in the first place, I gather
this sort of problem could be more common than expected, and not having any ways
of reverting the resolution from a black screen is a pain.

Note that restarting X (with Ctrl+Alt+Backspace) doesn't work either, as the new
resolution is already set in GConf, so any new session restarts doesn't work. I
had to disable the xrandr gnome-settings-daemon plugin in GConf, select the
proper resolution in gnome-display-properties, and then re-enable the plugin.
Comment 1 Bug Zapper 2008-05-14 06:49:53 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Carl-Johan Kjellander 2009-02-07 06:28:14 EST
This just hit me on F10 as well. Tried rotating screen left. Screen goes out of sync and stays out of sync every time that user logs in. X works fine at gdm.
Comment 3 Carl-Johan Kjellander 2009-02-07 06:43:26 EST
Bastien, how did you unbrick your machine? I just can't figure out
where it stored that rotation.
Comment 4 Carl-Johan Kjellander 2009-02-07 07:58:31 EST
I figured it out!

You can remove/edit the file ~/.config/monitors.xml to get the account
working again.

Changing it to <rotation>normal</rotation> unbricked the account for me.

But gnome-display-properties should _really_ have a 15 second "Wanna
keep new settings?" dialog for every untested mode.
Comment 5 Bug Zapper 2009-06-09 20:41:00 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Mathieu Bridon 2009-06-21 17:42:33 EDT
> But gnome-display-properties should _really_ have a 15 second "Wanna
> keep new settings?" dialog for every untested mode.  

It actuall has one now.

However, selecting « restore previous configuration » doesn't work.

I just tried rotating the screen to the left, the dialog popped up. Well, a laptop with a rotated screen is not really useful, so I chose « restore previous configuration ». The screen remained rotated to the left.

Rotating back to normal, same dialog, same symptoms: restoring the previous configuration has the same effect as « keep new configuration »

This affected me on Fedora 11 with:
control-center-2.26.0-8.fc11.x86_64
gnome-settings-daemon-2.26.1-7.fc11.x86_64
Comment 7 Mathieu Bridon 2010-04-16 14:21:06 EDT
I can confirm this is fixed in Fedora 12:
control-center-2.28.1-18.fc12.x86_64
gnome-settings-daemon-2.28.2-1.fc12.x86_64
Comment 8 Carl-Johan Kjellander 2010-04-17 12:40:07 EDT
Someone should change this to F12 then.

And code a "Wanna keep this setting?" dialog of course.
Comment 9 Mathieu Bridon 2010-04-17 12:51:07 EDT
(In reply to comment #8)
> Someone should change this to F12 then.
> 
> And code a "Wanna keep this setting?" dialog of course.

There is one since (at least) Fedora 11, like I said in comment 6.

And the second issue (this dialog not doing anything in Fedora 11) is fixed in Fedora 12, like I said in comment 12.

Not sure why you want to change the affected version. If anything, the assignee might choose to close the bug as « fixed in F12 », or let it open for F11.

Unless of course you can still reproduce the issue in Fedora 12, but that's not what you said. :)
Comment 10 Bug Zapper 2010-04-27 08:02:15 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 06:36:12 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.